## ros-kinetic-rc-visard-driver 3.1.0

=== debian/changelog ===
ros-kinetic-rc-visard-driver (3.1.0-1xenial) xenial; urgency=high

  * Change: publish all images on */image_rect topics, meaning don't filter out1 low in alternate mode
  * Change: always publish *_out1_low and *_out1_high topics even if no iocontrol license is available
  * debug messages when GenICam params are changed
  * rename adaptive_out1_reduction to out1_reduction
  * add Out1High camera_exp_auto_mode (requires rc_visard firmware <= 20.10.1)
  * add depth_double_shot parameter (requires rc_visard firmware <= 20.10.1)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-kinetic-rc-visard-driver (3.0.5-1xenial) xenial; urgency=high

  * add noise, test, adaptive_out1_reduction and brightness to CameraParam extra_data if available

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-kinetic-rc-visard-driver (3.0.4-1xenial) xenial; urgency=high

  * Removed forgotten debug log output

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-kinetic-rc-visard-driver (3.0.3-1xenial) xenial; urgency=high

  * Removed parameter disparity range as it will be removed on rc_visard >= 20.10.0
    (Use dynamic parameters depth_mindepth and depth_maxdepth for controlling thedepth range and coloring of disparity_color images.)

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-kinetic-rc-visard-driver (3.0.2-1xenial) xenial; urgency=high

  * Fixed filtering out images with projection if stereo matching is used single shot and controls a random dot projector
  * Removed parameter depth_median as it will be removed on rc_visard >= 20.10.0
  * rc_pick_client: fix grasp markers
  * Fixed dockerfiles
  * Update readme

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 27 Jul 2020 22:00:00 -0000

ros-kinetic-rc-visard-driver (3.0.1-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-kinetic-rc-visard-driver (3.0.0-1xenial) xenial; urgency=high

  * rc_visard_driver depends on rc_common_msgs >= 0.5
  * Added estimated noise level of image as extra_data in CameraParam message
  * Added dynamic parameter camera_exp_auto_mode with backward compatibility to old rc_visards
  * Only update dynamic out1_mode parameter from buffers with intensity images or by polling global nodemap
  * Ensure that the alternate active mode is set before publishing images
  * Used updating of out1_mode to check for valid connection, even if no buffers are expected.
  * dynamic reconfigure parameter out1_mode is automatically updated if changed on sensor
  * Disparity range that is used for disparity images and visualization now correctly considers quality setting
  * warn if DepthAcquisitionMode is not supported by rc_visard firmware version
  * add complete_buffers_total to diagnostics
  * Publish rc_common_msgs/CameraParams with every image.
    This provides information that is missing in CameraInfo,
    like current exposure time and gain.
  * add imu2cam as static tf which is published once the driver is ready
    - driver checks if cam2imu transform can be retrieved from sensor
    or if sensor image is too old
    - in first case static tf is published
    - in latter case old behaviour is implemented, i.e. tf is published
    when subscribed to dynamics stream
  * fix empty error message
  * change to warning for those logs that inform about missing left images for disp images
  * Implemented depth acquisition mode SingleFrameOut1
  * Contributors: Christian Emmerich, Felix Ruess, Heiko Hirschmueller

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

ros-kinetic-rc-visard-driver (2.7.0-1xenial) xenial; urgency=high

  * replaced std_srvs/Trigger with rc_common_msgs/Trigger
  * add support for setting exposure region via dynamic_reconfigure

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 18 Jul 2019 22:00:00 -0000

ros-kinetic-rc-visard-driver (2.6.4-1xenial) xenial; urgency=high

  * fix race condition when changing exposure mode from auto to manual
  * require ROS version with SteadyTime
  * use enums in dynamic reconfigure for easier usage

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-kinetic-rc-visard-driver (2.6.3-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-kinetic-rc-visard-driver (2.6.2-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 10 Jun 2019 22:00:00 -0000

ros-kinetic-rc-visard-driver (2.6.1-1xenial) xenial; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-rc-visard-driver (2.6.0-1xenial) xenial; urgency=high

  * auto-start dynamics only on the very first startup
  * improve handling and error messages for dynamics streams
  * update exposure and gain after switching from auto to manual
  * add check if rc_visard ready (genicam feature: RcSystemReady)
  * if multipart is available, still send single components per buffer
  * refactoring/cleanup

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-rc-visard-driver (2.5.0-1xenial) xenial; urgency=high

  * add parameter for max number of reconnections
  * fix: enable driver to try to recover even if the very first time no connection worked out
  * add diagnostics
  * fix reporting of package size
  * Fixed hanging image streams after restart of sensor
  * Support for rc_visard firmware v1.5.0 additions (require StereoPlus license)
    * quality full
    * advanced smoothing
  * improved driver's auto-connect behavior
  * also reapply dynamic_reconfigure params after recovery
  * fix projection matrix in published right CameraInfo

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-kinetic-rc-visard-driver (2.4.2-1xenial) xenial; urgency=high




